
TYPO3.Flow - Feature # 31909

Status: Resolved Priority: Should have
Author: Martin Ficzel Category: MVC - Routing
Created: 2011-11-18 Assigned To:
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity: easy
Subject: Add more routing: cli-informations 
Description

The routing should be explorable from the cli. I suggest to implement the following commands:

    1. routing:show show informations for a single route
    2. routing:resolve show the generated path for a given controller
    3. routing:route show the controller a request would be routed to

Associated revisions
Revision 270dced5 - 2011-11-25 10:52 - Martin Ficzel

[FEATURE] Add routing:show, routing:route and routing:resolve commands

Adds 3 CLI commands:
- routing:show show informations for a single route
- routing:getPath show the generated route-path for a given package, controller and action
- routing:routePath take a route-path and show package, controller and action

The patch alters the routing:list command to show the index number for the routes.

Change-Id: Ifccb953c58fa6bc47f0de64a6d375203cd45f711
Resolves: #31909
Releases: 1.1

History
#1 - 2011-11-18 12:02 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I739bd685d158bfeb085f9b1862c69aeb8ad52cd4 has been pushed to the review server.
It is available at http://review.typo3.org/6733

#2 - 2011-11-18 12:16 - Mr. Hudson

Patch set 1 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#3 - 2011-11-21 09:46 - Mr. Jenkins

2015-08-03 1/2

http://review.typo3.org/6733
http://review.typo3.org/6734


Patch set 2 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#4 - 2011-11-21 09:54 - Mr. Jenkins

Patch set 3 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#5 - 2011-11-22 21:45 - Mr. Jenkins

Patch set 4 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#6 - 2011-11-22 21:47 - Mr. Jenkins

Patch set 5 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#7 - 2011-11-24 10:07 - Mr. Jenkins

Patch set 6 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#8 - 2011-11-24 12:37 - Mr. Jenkins

Patch set 7 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#9 - 2011-11-25 10:52 - Mr. Jenkins

Patch set 8 of change Ifccb953c58fa6bc47f0de64a6d375203cd45f711 has been pushed to the review server.
It is available at http://review.typo3.org/6734

#10 - 2011-12-05 13:36 - Martin Ficzel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:270dced5220bd9922b45f3cbb9cff07b98eafcb7.

#11 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
